require_relative 'ralgo/version'
require_relative 'ralgo/cli'
require_relative 'ralgo/repl'
require_relative 'ralgo/algo_commands/base'
require_relative 'ralgo/algorithms/fizzbuzz_algo'
require_relative 'ralgo/algorithms/fibonacci_algo'
require_relative 'ralgo/algorithms/array_number_sum_algo'
require_relative 'ralgo/algorithms/01_strings/run_length_encode'
require_relative 'ralgo/algorithms/01_strings/generate_document_algo'
require_relative 'ralgo/data_structures/array'
require_relative 'ralgo/data_structures/hash_table_ds'
require_relative 'ralgo/data_structures/singly_linked_list_ds'
require_relative 'ralgo/data_structures/stack_ds'
require_relative 'ralgo/data_structures/queue_ds'
require_relative 'ralgo/data_structures/binary_search_tree_ds'
require_relative 'ralgo/data_structures/graph_ds'

